package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.Atd;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface AtdMapper {

    int insert(Atd record);

    int insertSelective(Atd record);

    int updateByPrimaryKeySelective(Atd record);

    int updateByPrimaryKey(Atd record);

    int deleteByPrimaryKey(Atd record);

    int deleteByIds(Collection<Object> collection);

    Atd selectByPrimaryKey(Atd record);

    Atd getAtdBySptinr(String sptinr);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Atd> dyncRead(Map<String,Object> dyncMap);

    List<Atd> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    Atd selectBySptinr(@Param("sptinr") String sptinr);

    Atd selectByOwnref(@Param("ownref") String ownref);

}